Subject: RE: Question/bug? : Make and tab problem since version 1.3.16...
From: Moti Daniel <[email-masked]>
To: "'Max Bowsher'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Sun, 1 Dec 2002 08:00:55 +0200

2 fixes to the line, it should be:

sometarget:
<tab>	$(shell echo -e '$(VAR1)' >> $@)

this $(shell... makes a file called "somefile", in it
you will see:
"
a.o:a.c
<tab>	cc $@
"

I'm including this sometarget in the makefile thus extending it
"on the fly", believe me it works !

-----Original Message-----
From: Max Bowsher [mailto:[email-masked]]
Sent: Wednesday, November 27, 2002 7:38 PM
To: Moti Daniel; [email-masked]
Subject: Re: Question/bug? : Make and tab problem since version
1.3.16...

Moti Daniel <[email-masked]> wrote:

> After upgrading cygwin dll to 1.3.16 from 1.3.12 I had the following
> problem:
> I'm using cygwin to build my project, in my makefile I'm creating
> another makefile like this:
> VAR1=a.o : a.c\n\tcc $$@
> .
> .
> .
> sometarget :
> $(shell echo -e '$(VAR1)' >> somefile
> 
> before the upgrade this produced somefile with this lines in it:
> a.o : a.c
> <TAB> cc $@

I find that hard to believe.

With that $(shell... in there, make tries to run a program 'a.o'.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/